Config = Config or {}
require("config")

require("prototypes.groups")

require("prototypes.gases.data")
require("prototypes.machines.data")
require("prototypes.cryogenics")
require("prototypes.cryogenic-recipes")
require("prototypes.electrolysis")
require("prototypes.oil-processing.data")

if Config.All_Fluid_Barrels then
	require("prototypes.barrels")
end
if Config.Sulfur_Processing then
	require("prototypes.sulfur-processing.data")
end

require("prototypes.base-edits")

data:extend({
  {
	type = "technology",
	name = "chemistry",
	icon = "__base__/graphics/technology/chemistry.png",
	prerequisites = {"oil-processing"},
	unit =
	{
	  count = 40,
	  ingredients =
	  {
		{"science-pack-1", 1},
		{"science-pack-2", 1}
	  },
	  time = 15
	},
	order = "a-e-c"
  },
  {
	type = "technology",
	name = "advanced-chemistry",
	icon = "__base__/graphics/technology/advanced-chemistry.png",
	prerequisites = {"chemistry", "battery"},
	effects = {
	  {
		type = "unlock-recipe",
		recipe = "science-pack-3"
	  }
	},
	unit =
	{
	  count = 75,
	  ingredients =
	  {	
		{"science-pack-1", 1},
		{"science-pack-2", 1}
	  },
	  time = 10
	},
	order = "a-e-d"
  },
  
  {
	type = "damage-type",
	name = "pressure"
  }
})
table.insert(data.raw.technology["sulfur-processing"].prerequisites, "chemistry")
table.insert(data.raw.technology["explosive-rocketry"].prerequisites, "chemistry")
table.insert(data.raw.technology["alien-technology"].prerequisites, "advanced-chemistry")
table.insert(data.raw.technology["advanced-oil-processing"].prerequisites, "chemistry")

-- new icons
if Config.New_Petroleum_Icons then
	data.raw.fluid["petroleum-gas"].icon = "__N.Tech-Chemistry__/graphics/icons/override/ethene.png"
	data.raw.recipe["light-oil-cracking"].icon = "__N.Tech-Chemistry__/graphics/icons/override/light-oil-cracking.png"
	--data.raw.recipe["naphtha-cracking"].icon = "__N.Tech-Chemistry__/graphics/icons/override/naphtha-cracking.png"
	data.raw.recipe["fill-petroleum-gas-barrel"].icon = "__N.Tech-Chemistry__/graphics/icons/override/fill-petroleum-gas-barrel.png"
	data.raw.recipe["empty-petroleum-gas-barrel"].icon = "__N.Tech-Chemistry__/graphics/icons/override/empty-petroleum-gas-barrel.png"
end