local fluids = {"oxygen", "hydrogen", "nitrogen", "sulfur-dioxide"}
local chars = {"a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z"}

for i,fluid in ipairs(fluids) do
	local cool = "cool-" .. fluid
	local heat = "heat-liquid-" .. fluid
	data:extend({
	  {
		type = "recipe",
		name = cool,
		icon = "__N.Tech-Chemistry__/graphics/icons/liquid-" .. fluid .. ".png",
		subgroup = "cooling",
		order = chars[i] .. "[" .. cool .. "]",
		enabled = "false",
		category = "liquid-cooling",
		ingredients = {
		  {type="fluid", name=fluid, amount=10},
		  {type="fluid", name="liquid-nitrogen", amount=0.3}
		},
		results = {
		  {type="fluid", name="liquid-" .. fluid, amount=1}
		}
	  },
	  {
		type = "recipe",
		name = heat,
		icon = "__N.Tech-Chemistry__/graphics/icons/" .. fluid .. ".png",
		subgroup = "heating",
		order = chars[i] .. "[" .. heat .. "]",
		enabled = "false",
		category = "liquid-heating",
		ingredients = {
		  {type="fluid", name="liquid-" .. fluid, amount=0.1}
		},
		results = {
		  {type="fluid", name=fluid, amount=1}
		}
	  }
	})
	table.insert(data.raw.technology["cryogenics"].effects, {type="unlock-recipe", recipe=cool})
	table.insert(data.raw.technology["cryogenics"].effects, {type="unlock-recipe", recipe=heat})
	
	if fluid == "nitrogen" then
		data.raw.recipe["cool-nitrogen"].ingredients[2].name = "water"
	end
end