data:extend({
  {
	type = "fluid",
	name = "hydrogen",
	default_temperature = 25,
	heat_capacity = "0KJ",
	base_color = {r=0.4, g=0.4, b=0.4},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = 200,
	icon = "__N.Tech-Chemistry__/graphics/icons/hydrogen.png",
	pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "a[raw-fluid]-j[hydrogen]"
  },
  {
	type = "fluid",
	name = "liquid-hydrogen",
	default_temperature = -256,
	heat_capacity = "0KJ",
	base_color = {r=0.6, g=0.6, b=0.6},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = -252,
	icon = "__N.Tech-Chemistry__/graphics/icons/liquid-hydrogen.png",
	pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "a[raw-fluid]-k[liquid-hydrogen]"
  },
  
  {
    type = "recipe",
    name = "solid-fuel-from-hydrogen",
    icon = "__N.Tech-Chemistry__/graphics/icons/solid-fuel-from-hydrogen.png",
    category = "chemistry",
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="hydrogen", amount=20}
    },
    results=
    {
      {type="item", name="solid-fuel", amount=1}
    },
    subgroup = "fluid",
    enabled = "false",
    order = "d[solid-fuel]-e[solid-fuel-from-hydrogen]"
  }
})
table.insert(data.raw.technology["oil-processing"].effects, {type="unlock-recipe", recipe="solid-fuel-from-hydrogen"})