data:extend({
  {
	type = "fluid",
	name = "oxygen",
	default_temperature = 25,
	heat_capacity = "0KJ",
	base_color = {r=0.4, g=0.4, b=0.4},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = 200,
	icon = "__N.Tech-Chemistry__/graphics/icons/oxygen.png",
	pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "a[raw-fluid]-h[oxygen]"
  },
  {
	type = "fluid",
	name = "liquid-oxygen",
	default_temperature = -201,
	heat_capacity = "0KJ",
	base_color = {r=0.7, g=1.0, b=1.0},
	flow_color = {r=0.5, g=0.5, b=0.5},
	max_temperature = -183,
	icon = "__N.Tech-Chemistry__/graphics/icons/liquid-oxygen.png",
	pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
	subgroup = "fluid",
    order = "a[raw-fluid]-i[liquid-oxygen]"
  },
  
  {
	type = "technology",
	name = "oxygen-production",
	icon = "__N.Tech-Chemistry__/graphics/icons/oxygen.png",
	effects = {
	  --[[{
		type = "unlock-recipe",
		recipe = "oxygen-from-atmosphere"
	  }]]
	},
	prerequisites = {"chemistry"},
	unit = {
      count = 25,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "a-e-g"
  },
})