fluid = function(name, subgroup, order)

	data.raw.fluid[name].subgroup = subgroup
	data.raw.fluid[name].order = order
end
item = function(name, subgroup, order)
	data.raw.item[name].subgroup = subgroup
	data.raw.item[name].order = order
end
recipe = function(name, subgroup, order)
	data.raw.recipe[name].subgroup = subgroup
	data.raw.recipe[name].order = order
end

data:extend({
  {
	type = "item-group",
	name = "chemistry",
	icon = "__base__/graphics/technology/advanced-chemistry.png",
	inventory_order = "d",
	order = "d"
  },
  {
	type = "item-subgroup",
	name = "sulfur-processing",
	group = "chemistry",
	order = "c"
  },
  {
	type = "item-subgroup",
	name = "heating",
	group = "chemistry",
	order = "d"
  },
  {
	type = "item-subgroup",
	name = "cooling",
	group = "chemistry",
	order = "e"
  }
})

data.raw["item-subgroup"].fluid.group = "chemistry"
data.raw["item-subgroup"].fluid.order = "a"

fluid("water", "fluid", "a[raw-fluid]-a")
fluid("crude-oil", "fluid", "a[raw-fluid]-b")
fluid("heavy-oil", "fluid", "a[raw-fluid]-c")
fluid("light-oil", "fluid", "a[raw-fluid]-d")
fluid("petroleum-gas", "fluid", "a[raw-fluid]-e")
fluid("lubricant", "fluid", "a[raw-fluid]-f")

if data.raw.fluid["lava"] then fluid("lava", "fluid", "a[raw-fluid]-g") end
if data.raw.fluid["molten-soldering-tin"] then fluid("molten-soldering-tin", "fluid", "a[raw-fluid]-h") end

recipe("basic-oil-processing", "fluid", "b[oil-processing]-a[basic-oil-processing]")
recipe("advanced-oil-processing", "fluid", "b[oil-processing]-b[advanced-oil-processing]")

recipe("heavy-oil-cracking", "fluid", "c[cracking]-c[heavy-oil-cracking]")
recipe("light-oil-cracking", "fluid", "c[cracking]-d[light-oil-cracking]")

recipe("solid-fuel-from-heavy-oil", "fluid", "d[solid-fuel]-a[solid-fuel-from-heavy-oil]")
recipe("solid-fuel-from-light-oil", "fluid", "d[solid-fuel]-b[solid-fuel-from-light-oil]")
recipe("solid-fuel-from-petroleum-gas", "fluid", "d[solid-fuel]-c[solid-fuel-from-petroleum-gas]")