data:extend({
  {
	type = "recipe-category",
	name = "liquid-cooling"
  },
  {
	type = "assembling-machine",
	name = "gas-cooler",
	icon = "__N.Tech-Chemistry__/graphics/icons/gas-cooler.png",
	flags = {"placeable-neutral", "placeable-player", "player-creation"},
	minable = {hardness = 0.2, mining_time = 0.5, result = "gas-cooler"},
	max_health = 100,
	corpse = "small-remnants",
	ingredient_count = 2,
	crafting_speed = 1,
	crafting_categories = {"liquid-cooling"},
	working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg" }
    },
	resistances =
	{
	  {
		type = "fire",
		percent = 80
	  }
	},
	collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
	selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
	fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 1,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -1} }}
      },
	  {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 1,
        base_level = 0,
        pipe_connections = {{ type="input", position = {1, 0} }}
      },
	  {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 1} }}
      }
    },
	energy_usage = "180kW",
	energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.02 / 3.5
    },
	animation =
    {
      north =
      {
        filename = "__N.Tech-Chemistry__/graphics/gas-cooler/cooler-north.png",
        priority = "extra-high",
        width = 40,
        height = 32,
		frame_count = 1
      },
      west =
      {
        filename = "__N.Tech-Chemistry__/graphics/gas-cooler/cooler-west.png",
        priority = "extra-high",
        width = 32,
        height = 42,
		frame_count = 1
      },
      south =
      {
        filename = "__N.Tech-Chemistry__/graphics/gas-cooler/cooler-south.png",
        priority = "extra-high",
        width = 44,
        height = 42,
		frame_count = 1
      },
      east =
      {
        filename = "__N.Tech-Chemistry__/graphics/gas-cooler/cooler-east.png",
        priority = "extra-high",
        width = 40,
        height = 44,
		frame_count = 1
      }
    }
  },
  {
	type = "item",
	name = "gas-cooler",
	icon = "__N.Tech-Chemistry__/graphics/icons/gas-cooler.png",
	flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "z[liquid]-b[gas-cooler]",
    place_result = "gas-cooler",
    stack_size = 20
  },
  {
	type = "recipe",
	name = "gas-cooler",
	enabled = "false",
	ingredients = {
	  {"pipe", 1},
	  {"steel-plate", 5},
	},
	result = "gas-cooler"
  }
})