data:extend({
  {
	type = "recipe-category",
	name = "liquid-heating"
  },
  {
	type = "assembling-machine",
	name = "liquid-heater",
	icon = "__N.Tech-Chemistry__/graphics/icons/liquid-heater.png",
	flags = {"placeable-neutral", "placeable-player", "player-creation"},
	minable = {hardness = 0.2, mining_time = 0.5, result = "liquid-heater"},
	max_health = 100,
	corpse = "small-remnants",
	ingredient_count = 1,
	crafting_speed = 1,
	crafting_categories = {"liquid-heating"},
	working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg" }
    },
	resistances =
	{
	  {
		type = "fire",
		percent = 80
	  }
	},
	collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
	selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
	fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 1,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -1} }}
      },
	  {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 1} }}
      }
    },
	energy_usage = "180kW",
	energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {0, 0},
          starting_vertical_speed = 0.05
        }
      }
    },
	animation =
    {
      north =
      {
        filename = "__N.Tech-Chemistry__/graphics/liquid-heater/heater-north.png",
        priority = "extra-high",
        width = 44,
        height = 42,
		frame_count = 1
      },
      west =
      {
        filename = "__N.Tech-Chemistry__/graphics/liquid-heater/heater-west.png",
        priority = "extra-high",
        width = 32,
        height = 42,
		frame_count = 1
      },
      south =
      {
        filename = "__N.Tech-Chemistry__/graphics/liquid-heater/heater-south.png",
        priority = "extra-high",
        width = 44,
        height = 42,
		frame_count = 1
      },
      east =
      {
        filename = "__N.Tech-Chemistry__/graphics/liquid-heater/heater-east.png",
        priority = "extra-high",
        width = 32,
        height = 42,
		frame_count = 1
      }
    }
  },
  {
	type = "item",
	name = "liquid-heater",
	icon = "__N.Tech-Chemistry__/graphics/icons/liquid-heater.png",
	flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "z[liquid]-a[liquid-heater]",
    place_result = "liquid-heater",
    stack_size = 20
  },
  {
	type = "recipe",
	name = "liquid-heater",
	enabled = "false",
	ingredients = {
	  {"pipe", 1},
	  {"steel-plate", 5},
	},
	result = "liquid-heater"
  }
})